import { Context } from '@actions/github/lib/context';
import { Octokit } from '@octokit/rest';
export declare const getContext: (override: object) => Context;
export declare const generateContext: (settings: {
    event?: string | undefined;
    action?: string | undefined;
    ref?: string | undefined;
    sha?: string | undefined;
    owner?: string | undefined;
    repo?: string | undefined;
}, override?: object | undefined) => Context;
declare type CreateResponseFunctionType = <T>(data: T, override?: object) => Octokit.Response<T>;
export declare const createResponse: CreateResponseFunctionType;
export {};
